Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.jazz
Class JazzFormAuthClient

    java.lang.Object
      org.eclipse.lyo.client.oslc.OslcClient
          org.eclipse.lyo.client.oslc.jazz.JazzFormAuthClient

    public class JazzFormAuthClient

extends OslcClient

An OSLC client for IBM Rational Jazz servers using Form Auth to authenticate. Accesses the Jazz rootservices URL to lookup the OSLC Catlalog location This class is not currently thread safe.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.lyo.client.oslc.OslcClient
`OslcClient.OAuthHttpPool`

Field Summary

Fields inherited from class org.eclipse.lyo.client.oslc.OslcClient
`httpClient`

Constructor Summary
`JazzFormAuthClient()`
`JazzFormAuthClient(String url, String user, String password)` Create a new Jazz Form Auth client for the given URL, user and password
`JazzFormAuthClient(String url, String authUrl, String user, String password)` Create a new Jazz Form Auth client for the given URL, user and password

Method Summary
`int` | `formLogin()` Execute the sequence of HTTP requests to perform a form login to a Jazz server
`String` | `getAuthUrl()`
`String` | `getPassword()`
`String` | `getProject()`
`String` | `getUrl()`
`String` | `getUser()`
`void` | `setAuthUrl(String authUrl)`
`void` | `setPassword(String password)`
`void` | `setProject(String project)`
`void` | `setUrl(String url)`
`void` | `setUser(String user)`

Methods inherited from class org.eclipse.lyo.client.oslc.OslcClient
`createResource, createResource, deleteResource, getClientConfig, getClientPool, getConfiguredSecureSocketProtocol, getHttpClient, getQueryResource, getResource, lookupCreationFactory, lookupCreationFactory, lookupCreationFactoryResource, lookupCreationFactoryResource, lookupQueryCapability, lookupServiceProviderUrl, setConfiguredSecureSocketProtocol, updateResource, updateResource, updateResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JazzFormAuthClient

    public JazzFormAuthClient()

### JazzFormAuthClient

    public JazzFormAuthClient(String url,
                              String user,
                              String password)

  Create a new Jazz Form Auth client for the given URL, user and password

  Parameters:
    `url` - - the URL of the Jazz server, including the web app context
    `user` -
    `password` -

### JazzFormAuthClient

    public JazzFormAuthClient(String url,
                              String authUrl,
                              String user,
                              String password)

  Create a new Jazz Form Auth client for the given URL, user and password

  Parameters:
    `url` - - the URL of the Jazz server, including the web app context
    `authUrl` - - the base URL to use for authentication. This is normally the application base URL for RQM and RTC and is the JTS application URL for fronting applications like RRC and DM.
    `user` -
    `password` -

Method Detail

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getAuthUrl

    public String getAuthUrl()

### setAuthUrl

    public void setAuthUrl(String authUrl)

### getProject

    public String getProject()

### setProject

    public void setProject(String project)

### getUser

    public String getUser()

### setUser

    public void setUser(String user)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### formLogin

    public int formLogin()
                  throws JazzAuthFailedException,
                         JazzAuthErrorException

  Execute the sequence of HTTP requests to perform a form login to a Jazz server

  Throws:
    `JazzAuthFailedException`
    `JazzAuthErrorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.